*{
    padding: 0;
    margin: 0;
}
.open{
    display: flex !important;
}

button{
    all: unset;
    cursor: pointer;
}

.container {
    width: 1050px;
    margin: 0 auto;
    padding: 0 15px;
}

.scroll{
    background: #202020;
    box-shadow: 0px 4px 4px 0px rgba(255, 255, 255, 0.50);
}

.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100;
    padding: 18px 0;
    transition: background-color 0.3s ease;

    .header-wrapper{
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: relative;

        .nav-bar{
            list-style: none;
            display: flex;
            align-items: center;
            gap: 20px;

            .nav-item{
                display: flex;
                padding: 10px 16px;
                justify-content: center;
                align-items: center;
                gap: 12px;
                border-radius: 20px;
                border: 1px solid #FFF;
                text-decoration: none;

    
                .nav-item__text{
                    color: #FFF;
                    font-family: Manrope;
                    font-size: 16px;
                    font-weight: 700;
                    line-height: normal;
                }
            }
        }

        .burger{
            width: 56px;
            height: 56px;
            cursor: pointer;
            z-index: 100;
            display: none;
            justify-content: flex-end;

            span{
                display: block;
                width: 100%;
                height: 100%;
                background-image: url("../images/header\ menu\ item.svg");
                transition: all 0.3s ease;
            }
        }
    }
}

.banner{
    background: linear-gradient(253deg, #FFEE32 -13.48%, #D6D6D6 125.48%);
    height: 800px;
    position: relative;

    .main-title{
        color: #FFF;
        font-family: DynaPuff;
        font-size: 80px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        width: 846px;
        height: 190px;
        position: absolute;
        bottom: 0;
        padding-bottom: 119px;
        
    }
}

.meeting{
    height: 470px;
    background: #202020;
    position: relative;
    overflow: hidden;

    .meeting__bg-figure{
        height: 552px;
        width: 552px;
        position: absolute;
        top: -35px;
        right: -90px;
    }

    .meeting-content{
        display: flex;
        flex-direction: column;
        gap: 40px;
        padding: 102px 0;

        .meeting-content__title{
            color: #FAEB49;
            font-family: DynaPuff;
            font-size: 48px;
            font-style: normal;
            font-weight: 700;
            line-height: normal;
        }

        .meeting-content__text{
            color: #FFF;
            font-family: Manrope;
            font-size: 16px;
            font-style: normal;
            font-weight: 500;
            line-height: normal;
            width: 524px;
        }

        .achievements-grid{
            display: flex;
            align-items: flex-start;
            gap: 96px;

            .achievements-grid__item{
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                gap: 5px;
                width: 116px;
                

                .achievements-grid__number{
                    color: #FFF;
                    font-family: DynaPuff;
                    font-size: 48px;
                    font-style: normal;
                    font-weight: 700;
                    line-height: normal;
                    
                }

                .achievements-grid__text{
                    color: #FFF;
                    font-family: Manrope;
                    font-size: 16px;
                    font-style: normal;
                    font-weight: 700;
                    line-height: normal;
                }
            }
        }
    }
}

.mobile-apps{
    height: 1460px;
    background: #3C3C3C;
    box-sizing: border-box;
    padding: 86px 0;

    .mobile-apps__frames-wrapper{
        display: flex;
        flex-direction: column;
        align-items: center;

        .big-frame{
            border-radius: 24px;
            background: #FFFEF2;
            display: flex;
            padding: 24px 20px;
            flex-direction: column;
            align-items: flex-start;
            gap: 10px;
            text-decoration: none;
            margin-bottom: 63px;
    
            .big-frame__photo-and-button{
                position: relative;
    
                .big-frame__photo{
                    width: 100%; 
                    height: auto;
                }
                .big-frame__button{
                    position: absolute;
                    top: 20px; 
                    right: 20px;
                    
                }
            }
    
            .big-frame__title{
                color: #565656;
                font-family: DynaPuff;
                font-size: 40px;
                font-style: normal;
                font-weight: 600;
                line-height: normal;
            }
    
            .big-frame__text{
                color: #000;
                font-family: Manrope;
                font-size: 16px;
                font-style: normal;
                font-weight: 700;
                line-height: normal;
                width: 580px;
            }
        }
        .small-frames{
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 40px;
            list-style: none;
            flex-wrap: wrap;
            
    
            .small-frame{
                border-radius: 24px;
                background: #FFFEF2;
                display: flex;
                width: 323px;
                padding: 20px;
                box-sizing: border-box;
                flex-direction: column;
                gap: 22px;
                text-decoration: none;
        
                .small-frame__photo-and-button{
                    position: relative;
        
                    .small-frame__photo{
                        width: 100%;
                        min-height: 338px;
                        border-radius: 13px;
                    }
                    .small-frame__button{
                        position: absolute;
                        top: 20px; 
                        right: 20px;
                    }
                }
    
                .small-frame__title{
                    color: #565656;
                    font-family: DynaPuff;
                    font-size: 24px;
                    font-style: normal;
                    font-weight: 700;
                    line-height: normal;
                    
                }
        
                .small-frame__text{
                    color: #000;
                    font-family: Manrope;
                    font-size: 16px;
                    font-style: normal;
                    font-weight: 500;
                    line-height: normal;
                    width: 285px;
                }
            }
        }

    }

    
}

.graphics-designs{
    height: 1220px;
    background: #202020;
    box-sizing: border-box;
    padding: 82px 0 138px 0;

    .graphics-designs__title{
        color: #FFF;
        font-family: DynaPuff;
        font-size: 80px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        margin-bottom: 38px;
        
    }

    .graphics-designs__big-photo{
        border-radius: 40px;
        width: 1050px;
        height: 414px;
        margin-bottom: 26px;
        display: block;
        background-image: url("../images/unsplash_rqIfy1UyIzE.png");
        position: relative;

        &::after{
            content: '';
            position: absolute;
            top: 73px;
            right: 391px;
            width: 268px;
            height: 268px;
            background-image: url("../images/SoftStar.svg");

        }
    }

    .graphics-designs__small-photos{
        display: flex;
        justify-content: space-between;
        display: flex;
        flex-wrap: wrap;

        .graphics-designs__small-photo{
            border-radius: 40px;
            width: 514px;
            height: 414px;
        }
        .pseudo--yellow{
            background-image: url("../images/Rectangle\ 6.png");
            position: relative;

            &::after{
                content: '';
                position: absolute;
                top: 111px;
                right: 164px;
                width: 187px;
                height: 192px;
                background-image: url("../images/Butterfly.svg");

            }
        }
        .pseudo--blue{
            background-image: url("../images/Rectangle\ 7.png");
            position: relative;

            &::after{
                content: '';
                position: absolute;
                top: 94px;
                right: 141px;
                width: 233px;
                height: 225px;
                background-image: url("../images/Asterisk\ 1.svg");

            }
        }
    }
}

.banner-photo{
    background-image: url("../images/Rectangle\ 8.png");
    height: 800px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    .banner-photo__text{
        color: #FFF;
        text-align: center;
        font-family: DynaPuff;
        font-size: 48px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        max-width: 1059px;
    }
}

.footer{
    height: 530px;
    background: #202020;
    padding: 78px 0 30px 0;
    box-sizing: border-box;

    .footer-wrapper{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 163px;
        

        .project-button{
            display: flex;
            align-items: center;
            gap: 45px;
            width: fit-content;
            height: fit-content;
            padding: 42px 137px;
            border-radius: 139px;
            box-sizing: border-box;
            border: 1px solid #F2F2F2;
            text-decoration: none;
    
            .project-button__content{
                display: flex;
                flex-direction: column;
                gap: 17px;
                
                .project-button__title{
                    color: #FFF;
                    text-align: center;
                    font-family: DynaPuff;
                    font-size: 48px;
                    font-style: normal;
                    font-weight: 700;
                    line-height: normal;
                }
    
                .project-button__text{
                    color: #FFF;
                    text-align: left;
                    font-family: Manrope;
                    font-size: 24px;
                    font-style: normal;
                    font-weight: 500;
                    line-height: normal;
                    position: relative;
    
                    &::after{
                        content: '';
                        position: absolute;
                        left: 194px;
                        width: 58px;
                        height: 28px;
                        background-repeat: no-repeat;
                        background-image: url("../images/arrow.svg");
                    }
                }
            }
        }

        .socials-wrapper{
            display: flex;
            flex-direction: column;
            gap: 21px;

            .social-icons{
                display: flex;
                gap: 34px;
                list-style: none;
                justify-content: center;
    
                .social-icon{
                    width: 24px;
                    height: 24px;
                    text-align: center;
                }    
            }

            .copyright{
                color: #FFF;
                text-align: center;
                font-family: Manrope;
                font-size: 16px;
                font-style: normal;
                font-weight: 500;
                line-height: normal;
            }
        }
    
    }

}

@media screen and (min-width: 768px) and (max-width: 1200px) {

    .container {
        width: 703px;
    }
    .header{
        .header-wrapper{
            .nav-bar{
                display: none;
                flex-direction: column;
                position: absolute;
                top: 100%;
                right: -6px;
                top: -4px;
                background: #202020;
                width: auto;
                align-items: flex-start;
                padding: 13px 56px 20px 20px;
                border-radius: 20px;
                transition: transform 0.3s ease;
                text-align: center;
                border: 1px solid black;
            
            }

            .burger{
                display: flex;
            }
        }
    }

    .banner{    
        .main-title{
            width: 521px;
            height: 393px;
        }
    }

    .meeting{
        .meeting__bg-figure{
            right: -230px;
        }
    }

    .mobile-apps{
        padding-top: 52px;
        padding-bottom: 111px;
        .mobile-apps__frames-wrapper{
            .big-frame{
                box-sizing: border-box;
                width: 703px;
                margin-bottom: 102px;
            }
        }
        .small-frames{
            .small-frame{
                width: 331px;
                padding: 20px;
                box-sizing: border-box;

                &:nth-child(3){
                    display: none;
                }

                .small-frame__text{
                    width: 288px;
                }
            }
            .small-frame__photo-and-button{
                .small-frame__photo{
                    width: 100%;
                    height: 448px;
                    border-radius: 13px;
                }
                .small-frame__button{
                    position: absolute;
                    top: 20px; 
                    right: 20px;
                }
            }
        }
    }

    .graphics-designs{
        height: 1122px;
    
        .graphics-designs__big-photo{
            width: 703px;
            background-position: center;

            &::after{
                top: 94px;
                right: 238px;
                width: 227px;
                height: 227px;
                background-size: cover;
            }
        }
    
        .graphics-designs__small-photos{
            .graphics-designs__small-photo{
                width: 336px;
                height: 325px;
            }
            .pseudo--yellow{
                background-size: cover;
    
                &::after{
                    top: 87px;
                    right: 95px;
                    width: 147px;
                    height: 151px;
                    background-size: cover;
                }
            }
            .pseudo--blue{
                background-size: cover;
                background-position: bottom;
    
                &::after{
                    top: 74px;
                    right: 75px;
                    width: 183px;
                    height: 177px; 
                    background-size: cover;
                }
            }
        }
    }
    .banner-photo{
        .banner-photo__text{
            width: 704px;
        }
    }

    .footer{
        height: 408px;
        padding: 96px 0 35px 0;
    
        .footer-wrapper{
            gap: 60px;
    
            .project-button{
                gap: 45px;
                width: fit-content;
                height: 150px;
                padding: 21px 37px;
            }
        }
    }
}

@media screen and (min-width: 320px) and (max-width: 768px) {

    .container {
        width: 343px;
    }
    .header{
        .header-wrapper{
            .nav-bar{
                display: none;
                flex-direction: column;
                position: absolute;
                top: 100%;
                right: -6px;
                top: -4px;
                background: #202020;
                width: auto;
                align-items: flex-start;
                padding: 13px 56px 20px 20px;
                border-radius: 20px;
                transition: transform 0.3s ease;
                text-align: center;
                border: 1px solid black;
            
            }

            .burger{
                display: flex;
            }
        }
    }

    .banner{    
        .main-title{
            width: 326px;
            height: 239px;
            font-size: 48px;
        }
    }

    .meeting{
        .meeting__bg-figure{
            height: 345px;
            width: 345px;
            top: 50px;
            right: -185px;
        }

        .meeting-content{
            padding: 72px 0;
    
            .meeting-content__title{
                font-size: 36px;
                width: 342px;
            }
    
            .meeting-content__text{
                font-size: 15px;
                width: 342px;
            }
    
            .achievements-grid{
                gap: 42px;
                .achievements-grid__item{
                    width: auto;
                    .achievements-grid__number{
                        font-size: 36px;
                    }
                    .achievements-grid__text{
                        width: 76px;
                    }
                }
            }
        }
    }

    .mobile-apps{
        height: 1206px;
        padding-top: 52px;
        padding-bottom: 85px;
        box-sizing: border-box;

        .mobile-apps__frames-wrapper{
            .big-frame{
                box-sizing: border-box;
                width: 343px;
                margin-bottom: 63px;
                padding: 16px;

                .big-frame__photo-and-button{
                    .big-frame__photo{
                        object-fit: cover;
                        object-position: top;
                        height: 278px;
                        border-radius: 13px;
                    }
                }
                .big-frame__title{
                    font-size: 32px;
                }
                .big-frame__text{
                    width: 311px;
                    font-size: 15px;
                }
            }

            .small-frames{
                .small-frame{
                    width: 343px;
                    padding: 16px;

                    &:nth-child(1),
                    &:nth-child(3){
                        display: none;
                    }
            
                    .small-frame__photo-and-button{
                        .small-frame__photo{
                            width: 100%;
                            height: 363px;
                        }
                    }
                    .small-frame__text{
                        font-size: 15px;
                    }
                }
            }
        }
    }

    .graphics-designs{
        height: 1260px;
        padding: 58px 0;

        .graphics-designs__title{
            font-size: 36px;
            width: 327px;
        }
    
        .graphics-designs__big-photo{
            width: 343px;
            height: 325px;
            background-size: cover;
            background-position: -170px 0; 
            margin-bottom: 30px;

            &::after{
                top: 76px;
                right: 85px;
                width: 172px;
                height: 172px;
                background-size: cover;
            }
        }
    
        .graphics-designs__small-photos{
            display: flex;
            flex-direction: column;
            gap: 30px;
            .graphics-designs__small-photo{
                width: 343px;
                height: 325px;
            }
            .pseudo--yellow{
                background-size: cover;
    
                &::after{
                    top: 87px;
                    right: 95px;
                    width: 147px;
                    height: 151px;
                    background-size: cover;
                }
            }
            .pseudo--blue{
                background-size: cover;
                background-position: bottom;
    
                &::after{
                    top: 74px;
                    right: 75px;
                    width: 183px;
                    height: 177px; 
                    background-size: cover;
                }
            }
        }
    }

    .banner-photo{
        width: auto;
        height: 498px;
        background-size: cover; 
        background-position: left;
        .banner-photo__text{
            width: 343px;
            font-size: 24px;
        }
    }
    .footer{
        height: 342px;
        padding: 53px 0 40px 0;
    
        .footer-wrapper{
            gap: 113px;
    
            .project-button{
                gap: 20px;
                width: fit-content;
                height: 72px;
                padding: 12px 32px;

                .project-button__img{
                    width: 52px;
                    height: 51px;
                }

                .project-button__content{
                    gap: 4px;
                    
                    .project-button__title{
                        font-size: 20px;
                        width: 203px;
                    }
        
                    .project-button__text{
                        font-size: 15px;
        
                        &::after{
                            left: 130px;
                            bottom: 2px;
                            width: 33px;
                            height: 16px;
                            background-size: contain;
                        }
                    }
                }
            }
    
            .socials-wrapper{
                .copyright{
                    font-size: 14px;
                }
            }
        }
    }
}